#include <iostream>
using namespace std;

int main() {
	char c1, c2;
	cin>>c1>>c2;
	int a1, a2;
	cin>>a1>>a2;
	if(a1==a1)
	{
		cout<<c1<<c2;
	}
	else if(a1==a2-1)
	{
		cout<<c2<<c1;
	}
	else if(a2==a1-1)
	{
		cout<<c1<<c2;
	}
	else {
		cout<<"nemoguce";
	}
	return 0;
}